%global momorel 9
%global qtver 4.6.3
%global kdever 4.4.5
%global kdelibsrel 1m
%global qtdir %{_libdir}/qt4
%global kdedir /usr

Summary: WYSIWYG CD cover printer with CDDB support
Name: kover
Version: 4
Release: %{momorel}m%{?dist}
License: GPLv2+
Group: Applications/Publishing
URL: http://lisas.de/kover/
Source0: http://lisas.de/%{name}/%{name}-%{version}.tar.bz2
NoSource: 0
Patch0: %{name}-%{version}-desktop.patch
Patch1: %{name}-%{version}-gcc44.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
BuildRequires: qt-devel >= %{qtver}
BuildRequires: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildRequires: cmake
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: libart_lgpl-devel
BuildRequires: libcddb-devel
BuildRequires: libcdio-devel >= 0.82
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libxml2

%description
Kover is an easy to use WYSIWYG CD cover printer with CDDB support.

%prep
%setup -q

%patch0 -p1 -b .desktop~
%patch1 -p1 -b .gcc44~

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

# link icon
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

# install mimetypes-icon
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/48x48/mimetypes
install -m 644 src/icons/hi48-app-%{name}.png %{buildroot}%{_datadir}/icons/hicolor/48x48/mimetypes/application-x-%{name}.png

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde4 \
  --add-category AudioVideo \
  --add-category KDE \
  --add-category Qt \
  %{buildroot}%{_datadir}/applications/kde4/%{name}.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS
%{_kde4_bindir}/%{name}
%{_kde4_datadir}/applications/kde4/%{name}.desktop
%{_kde4_appsdir}/%{name}
%{_kde4_iconsdir}/*/*/*/application-x-%{name}.png
%{_kde4_iconsdir}/*/*/*/audio_mode.png
%{_kde4_iconsdir}/*/*/*/%{name}.png
%{_kde4_iconsdir}/%{name}_*.png
%{_mandir}/man1/%{name}.1*
%{_kde4_datadir}/mime/packages/%{name}.xml
%{_datadir}/pixmaps/%{name}.png

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (4-9m)
- full rebuild for mo7 release

* Sun Jul 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4-8m)
- rebuild against libcdio-0.82

* Mon Jun 28 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4-7m)
- rebuild against qt-4.6.3-1m

* Fri Apr 23 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4-6m)
- touch up spec file

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4-5m)
- rebuild against gcc-4.4 and glibc-2.11

* Sun May 31 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4-4m)
- rebuild against libcdio-0.81

* Wed Jan 28 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4-3m)
- apply gcc44 patch

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4-2m)
- rebuild against rpm-4.6

* Sat Nov 29 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4-1m)
- version 4
- update desktop.patch
- remove gcc43.patch
- License: GPLv2+

* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3-7m)
- rebuild against qt3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (3-6m)
- rebuild against gcc43

* Mon Feb 25 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3-5m)
- add patch for gcc43, generated by gen43patch(v1)

* Sat Feb 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3-4m)
- specify KDE3 headers and libs
- modify Requires and BuildRequires

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (3-3m)
- %%NoSource -> NoSource

* Tue Jul 17 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3-2m)
- install mimetypes-icon

* Wed Jul  4 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3-1m)
- version 3
- update desktop.patch

* Fri Mar 30 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.9.6-1m)
- initial package for Momonga Linux
